/* Basic Reset */

* {
    border: 0;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Helvetica, Arial, sans-serif;
}

/* Header elements */

html {
    scroll-behavior: smooth;
}

.headWrap {
    width: 100%;
    height: 11vh;
    background-color: #2B2D2F;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: center;
    
}

.headItem {
    margin: auto 20px;
}

#stoneLogo {
    cursor: pointer;
    height: 10vh;
}

/* Nav items */

ul {
    list-style: none;
    display: inline-flex;
}

li {
    margin: 0 5px;
    padding: 0 5px;
}

li a {
    text-decoration: none;
    color: ivory;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 1.4em;
    letter-spacing: .1em;
}

.infoBar {
    width: 100%;
    height: 4vh;
    background-color: #993300;
    color: ivory;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: center;
}

.infoItem {
    margin: 0 20px;
    padding: 0 5px;
}

.infoItem a {
    text-decoration: none;
    color: ivory;
}

/* Body elements */

body {
    background-color: #F9F5EC;
}

.bodyWrap {
    width: 100%;
}

.bodyHero {
    width: 100%;
    height: 85vh;
    display: -ms-grid;
    display: grid;
    grid-gap: 20px;
    -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

#heroImage {
    background-image: url('assets/stoneFacade.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    height: 85vh;
    -ms-grid-column: 1;
    -ms-grid-column-span: 3;
    grid-column: 1 / 4;
}

#heroText {
    -ms-grid-column: 4;
    -ms-grid-column-span: 2;
    grid-column: 4 / 6;
    display: block;
}

.textItem {
    margin: 10% auto;
}

#heroTitle {
    width: 100%;
    padding: 50px;
}

#heroTitle h1 {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    letter-spacing: .05em;
    text-align: center;
}

#heroDesc {
    width: 80%;
}

#heroDesc p {
    width: 35ch;
    text-align: center;
    padding-bottom: 40px;
    margin: auto;
}

#announcements {
    background-color: #999900;
    color: ivory;
    width: 80%;
    border-radius: 10px;
}

#announcements p {
    text-align: center;
    padding: 40px;
}

.bodyEvent {
    width: 90%;
    height: 85vh;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    align-content: center;
}

.eventItem {
    background-color: #2B2D2F;
    width: 22%;
    height: 50vh;
    border-radius: 10px;;
}

.eventImg {
    border-radius: 10px 10px 0 0;
    width: 100%;
}

.eventItem p {
    margin: 20px 10px 0 10px;
    color: ivory;
    text-align: center;
}

/* Footer elements */

.footWrap {
    width: 100%;
    height: 15vh;
    background-color: #2B2D2F;
    border-top: 1vh solid #993300;
    padding: 30px;
    text-align: center;
}

.footWrap small {
    color: ivory;
}

.footWrap small a {
    color: ivory;
}

@media only screen and (max-width: 415px) {

    .headWrap {
        display: block;
        height: auto;
        padding: 5px;
    }

    .headItem {
        text-align: center;
        width: 80%;
        margin: 0 auto;
    }

    #stoneLogo {
        height: 8vh;
    }

    li a {
        margin: 0 auto;
        padding: 0 20px;
        font-size: .8em;
    }

    .infoBar {
        display: block;
        height: auto;
        padding: 5px;
    }

    .infoItem {
        text-align: center;
        width: 95%;
        margin: 2px auto;
        font-size: .7em;
    }

    .bodyHero {
        height: auto;
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }
    
    #heroImage {
        background-image: url('assets/stoneFacade.jpg');
        background-repeat: no-repeat;
        background-size: cover;
        height: 40vh;
        -ms-grid-column: 1;
        grid-column: 1 / 2;
        order: 1;
    }
    
    #heroTitle, #heroDesc {
        width: 90%;
        padding: 10px;
    }

    #heroTitle h1 {
        font-size: 1.4em;
    }

    #heroDesc {
        margin: 0 auto;
    }

    #heroDesc p {
        width: 100%;
    }

    #heroText {
        -ms-grid-column: 1;
        grid-column: 1 / 2;
        display: block;
        order: 2;
    }

    .bodyEvent {
        height: auto;
    }

    .eventItem {
        margin: 10px auto;
        width: 90%;
        height: auto;
    }

    .eventItem p {
        margin: 20px 10px;
        color: ivory;
        text-align: center;
    }

}